#
# spec file for package wesnoth (Version 0.8.11)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  SDL-devel-packages SDL_image SDL_image-devel SDL_mixer SDL_net SDL_ttf freetype2 freetype2-devel gcc-c++ libjpeg libogg libogg-devel libpng-devel-packages libvorbis libvorbis-devel smpeg update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel SDL SDL-devel SDL_image SDL_image-devel SDL_mixer SDL_net SDL_ttf aalib aalib-devel alsa alsa-devel arts arts-devel audiofile autoconf automake binutils esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem libjpeg libjpeg-devel libogg libogg-devel libpng libpng-devel libstdc++-devel libtool libvorbis libvorbis-devel perl resmgr rpm slang slang-devel update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         wesnoth
License:      GPL
URL:          http://www.wesnoth.org
Group:        Amusements/Games/Strategy/Turn Based
Version:      1.0.2
Release:      1
Summary:      Fantasy Turn-Based Strategy Game
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       %{name}-%{version}.tar.gz
Source1:      %name.desktop
Source2:      %name.png

%description
Battle for Wesnoth is a fantasy turn-based strategy game. Battle for
control of villages, using variety of units which have advantages and
disadvantages in different types of terrains and against different
types of attacks. Units gain experience and advance levels, and are
carried over from one scenario to the next campaign.



Authors:
--------
    David White <davidnwhite@optusnet.com.au>
    Francisco Mu�z

%debug_package
%prep
rm -rf %{buildroot}
%setup
#%setup -n %{name}

%build
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 $RPM_SOURCE_DIR/%name.png $RPM_BUILD_ROOT/usr/share/pixmaps
%suse_update_desktop_file -i %name Game StrategyGame

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING INSTALL MANUAL MANUAL.danish MANUAL.french MANUAL.german MANUAL.italian MANUAL.norwegian MANUAL.spanish README 
%dir %{_mandir}/de/man*
%{_bindir}/wesnoth
%{_bindir}/wmlxgettext
%{_mandir}/man*/*
%{_mandir}/*/man*/*
%{_datadir}/wesnoth
/usr/share/applications/%name.desktop
/usr/share/pixmaps/%name.png

%changelog -n wesnoth
* Fri May 12 2006 - joe_morris@ntm.org
- updated to 1.0.2
* Tue Jul 05 2005 - joe_morris@ntm.org
- updated to 0.9.3
* Wed Jun 22 2005 - joe_morris@ntm.org
- updated to 0.9.2
* Mon Feb 21 2005 - sndirsch@suse.de
- updated to bugfix release 0.8.11
  * Lots of bugs have been fixed in this release. One of them
  caused units to walk on the water and prevented the AI from
  being correctly configured in campaigns under certain locales.
  Other one allowed AI units to be merged, making them disappear.
  * Some units have been balanced, and there are new animations for
  mages.
  * As usual we have got translation updates and also a new
  translation, British English.
* Tue Feb 08 2005 - sndirsch@suse.de
- updated to development release 0.8.10
* Thu Jan 27 2005 - sndirsch@suse.de
- updated to development release 0.8.9
- added german manual pages to filelist
* Mon Dec 06 2004 - sndirsch@suse.de
- updated to development release 0.8.8
* Wed Nov 10 2004 - sndirsch@suse.de
- updated to development release 0.8.7
* Thu Oct 07 2004 - sndirsch@suse.de
- updated to development release 0.8.5
* Sun Oct 03 2004 - sndirsch@suse.de
- updated to development release 0.8.4
* Sun Jul 04 2004 - sndirsch@suse.de
- updated to stable release 0.8
* Tue Jun 22 2004 - sndirsch@suse.de
- updated to development release 0.7.10
* Sat Jun 12 2004 - sndirsch@suse.de
- updated to development release 0.7.9
* Thu Jun 03 2004 - sndirsch@suse.de
- updated to development release 0.7.8
* Sun May 23 2004 - sndirsch@suse.de
- updated to development release 0.7.7
* Wed May 05 2004 - sndirsch@suse.de
- updated to development release 0.7.6
* Sun Apr 25 2004 - sndirsch@suse.de
- updated to development release 0.7.5
* Sat Mar 20 2004 - sndirsch@suse.de
- updated from development release 0.6.99.4 to stable release 0.7.0
  * added new sounds, unit images and attack icons
  * polished unit descriptions for recently added units
  * old tutorial strings removed
  * fixed Lieutenant -> General advancement path
  * fixed multiplayer out of sync bugs
  * fixed swedish
* Sun Feb 22 2004 - sndirsch@suse.de
- updated to development release 0.6.99.4
* Tue Feb 17 2004 - sndirsch@suse.de
- updated to development release 0.6.99.3
* Thu Feb 05 2004 - ro@suse.de
- remove obsolete 64bit patch
* Wed Feb 04 2004 - sndirsch@suse.de
- updated to development release 0.6.99.2
* Thu Jan 29 2004 - sndirsch@suse.de
- updated to development release 0.6.99.1
- removed wesnoth-0.6.1-stat-returnvalue.diff (already included
  upstream)
* Sat Dec 27 2003 - sndirsch@suse.de
- created package
